<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>wcd 6.0.5 - Schimb&#x103; oriunde directorul (Wherever Change Directory)</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rev="made" href="mailto:ASSI@cygwinpro.fritz.box" />
</head>

<body>



<ul id="index">
  <li><a href="#NUME">NUME</a></li>
  <li><a href="#REZUMAT">REZUMAT</a></li>
  <li><a href="#DESCRIERE">DESCRIERE</a>
    <ul>
      <li><a href="#Prezentare-general">Prezentare general&#x103;</a></li>
      <li><a href="#Utilizare-de-baz">Utilizare de baz&#x103;</a></li>
      <li><a href="#Metacaractere">Metacaractere</a></li>
      <li><a href="#Alte-utilizri">Alte utiliz&#x103;ri</a></li>
      <li><a href="#Cile-UNC-Windows">C&#x103;ile UNC Windows</a></li>
      <li><a href="#Redimensionarea-consolei-n-Windows">Redimensionarea consolei &icirc;n Windows</a></li>
      <li><a href="#Interfee">Interfe&#x21B;e</a></li>
    </ul>
  </li>
  <li><a href="#OPIUNI">OP&#x21A;IUNI</a></li>
  <li><a href="#INSTALARE">INSTALARE</a>
    <ul>
      <li><a href="#Instalarea-pentru-shell-uri-de-tip-POSIX">Instalarea pentru shell-uri de tip POSIX</a></li>
      <li><a href="#Instalarea-pentru-shell-uri-asemntoare-cu-limbajul-C-csh-tcsh">Instalarea pentru shell-uri asem&#x103;n&#x103;toare cu limbajul C (csh, tcsh)</a></li>
      <li><a href="#Versiunea-liniei-de-comand-Windows">Versiunea liniei de comand&#x103; Windows</a></li>
      <li><a href="#Windows-VISTA-i-versiunile-ulterioare">Windows VISTA &#x219;i versiunile ulterioare</a></li>
      <li><a href="#Versiunea-Windows-PowerShell">Versiunea Windows PowerShell</a></li>
      <li><a href="#Versiunea-liniei-de-comand-OS-2">Versiunea liniei de comand&#x103; OS/2</a></li>
    </ul>
  </li>
  <li><a href="#LOCALIZAREA">LOCALIZAREA</a>
    <ul>
      <li><a href="#PAGINI-DE-CODURI-WINDOWS">PAGINI DE CODURI WINDOWS</a></li>
      <li><a href="#UNICODE">UNICODE</a>
        <ul>
          <li><a href="#UTF-8-n-Unix-Linux">UTF-8 &icirc;n Unix/Linux</a></li>
          <li><a href="#UTF-16-n-Windows">UTF-16 &icirc;n Windows</a></li>
          <li><a href="#UTF-8-n-Cygwin">UTF-8 &icirc;n Cygwin</a></li>
        </ul>
      </li>
    </ul>
  </li>
  <li><a href="#FIIERE">FI&#x218;IERE</a></li>
  <li><a href="#VARIABILE-DE-MEDIU">VARIABILE DE MEDIU</a></li>
  <li><a href="#CONSULTAI-I">CONSULTA&#x21A;I &#x218;I</a></li>
  <li><a href="#AUTORI">AUTORI</a></li>
</ul>

<h1 id="NUME">NUME</h1>

<p>wcd - Schimb&#x103; oriunde directorul</p>

<p>chdir pentru Dos &#x219;i Unix</p>

<h1 id="REZUMAT">REZUMAT</h1>

<pre><code>    wcd [op&#x21B;iuni] [director]</code></pre>

<h1 id="DESCRIERE">DESCRIERE</h1>

<h2 id="Prezentare-general">Prezentare general&#x103;</h2>

<p>Wcd este un program de linie de comand&#x103; pentru a schimba rapid directorul. Economise&#x219;te timp la tastarea de la tastatur&#x103;. Trebuie s&#x103; tasta&#x21B;i doar o parte din numele unui director &#x219;i wcd va s&#x103;ri la el. Wcd are o metod&#x103; de selec&#x21B;ie rapid&#x103; &icirc;n cazul potrivirilor multiple &#x219;i permite utilizarea de alias &#x219;i interzicerea directoarelor. Wcd include, de asemenea, un navigator interactiv &icirc;n arborele de directoare, pe ecran complet, cu c&#x103;utare rapid&#x103;.</p>

<p>Wcd a fost modelat dup&#x103; &bdquo;Norton Change Directory&rdquo; (NCD). NCD a ap&#x103;rut prima dat&#x103; &icirc;n <i>The Norton Utilities, Release 4</i>, pentru DOS &icirc;n 1987, publicat de Peter Norton.</p>

<p>Wcd a fost portat pe diferite shell-uri de linie de comand&#x103;: DOS command.com, Windows cmd.exe &#x219;i PowerShell, OS/2 cmd.exe &#x219;i shell-uri Unix precum Bourne (sh), Bourne Again (bash), Korn (ksh) , Z shell (zsh) &#x219;i C shell (csh) &#x219;i altele, rul&acirc;nd pe orice sistem de operare.</p>

<p>Wcd accept&#x103; seturi de caractere de 8 bi&#x21B;i pe toate sistemele &#x219;i are suport op&#x21B;ional pentru Unicode. Consulta&#x21B;i sec&#x21B;iunea LOCALIZARE.</p>

<p>Consulta&#x21B;i sec&#x21B;iunea INSTALARE, cum s&#x103; configura&#x21B;i wcd pentru uz personal.</p>

<h2 id="Utilizare-de-baz">Utilizare de baz&#x103;</h2>

<p>&Icirc;n mod implicit (dac&#x103; nu sunt folosite metacaractere), wcd caut&#x103; un director cu un nume care &icirc;ncepe cu numele tastat.</p>

<p>De exemplu, aceast&#x103; comand&#x103; va schimba la directorul <code>/home/nume_utilizator/Desktop</code> al utilizatorului curent:</p>

<pre><code>    wcd Desk</code></pre>

<p>C&acirc;nd exist&#x103; mai multe potriviri, wcd va prezenta utilizatorului o list&#x103; cu toate potrivirile. Utilizatorul poate apoi s&#x103; fac&#x103; o selec&#x21B;ie cu c&acirc;teva ap&#x103;s&#x103;ri de taste (de cele mai multe ori doar una).</p>

<h2 id="Metacaractere">Metacaractere</h2>

<p>Wcd accept&#x103; urm&#x103;toarele metacaractere:</p>

<pre><code>    *       se potrive&#x219;te cu orice secven&#x21B;&#x103; de caractere (zero sau mai multe)
    ?       se potrive&#x219;te cu orice caracter
    [SET]   se potrive&#x219;te cu orice caracter din setul specificat,
    [!SET]  sau [^SET] se potrive&#x219;te cu orice caracter care nu se afl&#x103; &icirc;n setul specificat.</code></pre>

<p>Un set este compus din caractere sau intervale; un interval arat&#x103; ca un <i>caracter cratim&#x103;</i>, ca &icirc;n <code>0-9</code> sau <code>A-Z</code>. <code>[0-9a-zA-Z_]</code> este setul minim de caractere permis &icirc;n construc&#x21B;ia modelului <code>[..]</code>. Caracterele interna&#x21B;ionale (adic&#x103; caracterele de 8 bi&#x21B;i) sunt permise dac&#x103; sistemul le accept&#x103;. Pentru a suprima semnifica&#x21B;ia sintactic&#x103; special&#x103; a oric&#x103;ruia dintre <code>[]*?!^-\</code> &icirc;n interiorul sau &icirc;n afara unei construc&#x21B;ii <code>[..]</code> &#x219;i pentru a potrivi exact caracterul, preceda&#x21B;i caracterul cu o bar&#x103; oblic&#x103; invers&#x103; (<code>\</code>).</p>

<p>Utilizarea metacaracterelor face posibile c&#x103;ut&#x103;ri complexe. De exemplu, acesta se potrive&#x219;te cu orice nume de director care se termin&#x103; cu &bdquo;top&rdquo;:</p>

<pre><code>    wcd *top</code></pre>

<p>G&#x103;se&#x219;te directoarele care au &bdquo;top&rdquo; oriunde &icirc;n nume:</p>

<pre><code>    wcd *top*</code></pre>

<p>G&#x103;se&#x219;te orice nume de director care &icirc;ncepe cu &bdquo;a&rdquo;, &bdquo;b&rdquo; sau &bdquo;c&rdquo;:</p>

<pre><code>    wcd [a-c]*</code></pre>

<p>De asemenea, este posibil s&#x103; da&#x21B;i o parte dintr-o cale de director. Aici Wcd caut&#x103; directorul care &icirc;ncepe cu &bdquo;Desk&rdquo; &#x219;i care cale se potrive&#x219;te cu <i>*me/Desk*</i>.</p>

<pre><code>    wcd me/Desk</code></pre>

<p>Este permis&#x103; introducerea oric&#x103;rui fel de expresie cu bare oblice &#x219;i metacaractere. De exemplu:</p>

<pre><code>    wcd src*/*1?/a*2</code></pre>

<h2 id="Alte-utilizri">Alte utiliz&#x103;ri</h2>

<p>Dac&#x103; nu se utilizeaz&#x103; metacaractere &#x219;i wcd g&#x103;se&#x219;te o potrivire perfect&#x103;, wcd va ignora toate potrivirile aproximative &icirc;n mod implicit. Acest comportament poate fi schimbat cu op&#x21B;iunea <b>-w</b>.</p>

<p>Navigatorul interactiv de arbore de directoare poate fi pornit folosind op&#x21B;iunea <b>-g</b>.</p>

<pre><code>    wcd -g</code></pre>

<p>Wcd genereaz&#x103; un fi&#x219;ier cu datele arborelui &icirc;n care caut&#x103; directorul. Pe sistemele Unix &#x219;i Windows, wcd adaug&#x103; leg&#x103;turi simbolice la fi&#x219;ierul cu datele arborelui &icirc;n timpul scan&#x103;rii discului, dar nu le urmeaz&#x103;. Dac&#x103; ar urma leg&#x103;turile, wcd ar putea sf&acirc;r&#x219;i prin a scana bucle infinite sau a scana por&#x21B;iuni foarte mari ale unei re&#x21B;ele.</p>

<p>Wcd poate schimba, de asemenea, la directoare care nu se afl&#x103; &icirc;n fi&#x219;ierul cu datele arborelui. De exemplu:</p>

<pre><code>    wcd ..</code></pre>

<p>Dac&#x103; wcd a g&#x103;sit o potrivire, dar nu poate schimba la acel director, &icirc;ncearc&#x103; s&#x103;-l elimine din fi&#x219;ierul implicit cu datele arborelui. Nu din fi&#x219;ierul suplimentar cu datele arborelui. A se vedea, de asemenea, op&#x21B;iunea <b>-k</b>.</p>

<p>Wcd p&#x103;streaz&#x103; o stiv&#x103; de directoare care este stocat&#x103; pe disc. Stiva are o dimensiune implicit&#x103; de 10 &#x219;i este ciclic&#x103;. Consulta&#x21B;i op&#x21B;iunile <b>-z</b>, <b>-</b>, <b>+</b> &#x219;i <b>=</b>.</p>

<p>&Icirc;n mediile multi-utilizator, op&#x21B;iunea <b>-u</b> poate fi folosit&#x103; pentru a trece la directoarele altor utilizatori.</p>

<p>&Icirc;n sistemele DOS &#x219;i Windows, nu conteaz&#x103; dac&#x103; utiliza&#x21B;i o bar&#x103; oblic&#x103; &bdquo;/&rdquo; sau o bar&#x103; oblic&#x103; invers&#x103; &bdquo;\&rdquo; ca separator de directoare.</p>

<p>&Icirc;n sistemele DOS &#x219;i Windows este posibil s&#x103; schimba&#x21B;i unitatea &#x219;i directorul dintr-o singur&#x103; mi&#x219;care, preced&acirc;nd numele directorului cu numele unit&#x103;&#x21B;ii.</p>

<pre><code>    wcd d:games</code></pre>

<h2 id="Cile-UNC-Windows">C&#x103;ile UNC Windows</h2>

<p>Versiunile Windows (linie de comand&#x103;, PowerShell, MSYS, zsh, cygwin) accept&#x103; c&#x103;i UNC LAN SMB Windows f&#x103;r&#x103; litera de unitate, cum ar fi <code>\\servername\sharename</code>. Linia de comand&#x103; Wcd pentru Windows folose&#x219;te comanda &bdquo;pushd&rdquo; pentru a asocia automat o cale UNC la o liter&#x103; de unitate. &Icirc;n Windows PowerShell, MSYS, zsh &#x219;i Cygwin c&#x103;ile UNC sunt pe deplin implementate. Directorul de lucru curent poate fi o cale UNC.</p>

<h2 id="Redimensionarea-consolei-n-Windows">Redimensionarea consolei &icirc;n Windows</h2>

<p>Wcd accept&#x103; redimensionarea consolei &icirc;n consola Windows 10 &#x219;i ConEmu (consulta&#x21B;i <a href="https://conemu.github.io/">https://conemu.github.io/</a>) &icirc;ncep&acirc;nd cu versiunea 6.0.3. Consola Windows 10 nu trebuie s&#x103; fie &icirc;n modul vechi (verifica&#x21B;i propriet&#x103;&#x21B;ile consolei). Este posibil ca ecranul s&#x103; nu se re&icirc;mprosp&#x103;teze atunci c&acirc;nd proprietatea de &laquo;Aspect&raquo; din consol&#x103; &bdquo;&Icirc;ncadreaz&#x103; automat textul c&acirc;nd se redimensioneaz&#x103;&rdquo; este dezactivat&#x103;. Ecranul poate fi re&icirc;mprosp&#x103;tat manual ap&#x103;s&acirc;nd tasta F5.</p>

<h2 id="Interfee">Interfe&#x21B;e</h2>

<p>Wcd are trei interfe&#x21B;e diferite pentru a alege dintr-o list&#x103; de potriviri. Interfa&#x21B;a poate fi aleas&#x103; &icirc;n timpul compil&#x103;rii.</p>

<p>Prima interfa&#x21B;&#x103; folose&#x219;te intrarea/ie&#x219;irea standard simpl&#x103; (stdin/stdout). O list&#x103; numerotat&#x103; este afi&#x219;at&#x103; &icirc;n terminal. Utilizatorul trebuie s&#x103; aleag&#x103; din aceast&#x103; list&#x103; tast&acirc;nd un num&#x103;r urmat de ap&#x103;sarea tastei &lt;Enter&gt;. Aceast&#x103; interfa&#x21B;&#x103; nu ofer&#x103; func&#x21B;ionalitatea de derulare &icirc;napoi &icirc;n cazul unei liste lungi. Trebuie utilizat&#x103; func&#x21B;ionalitatea de derulare &icirc;napoi a terminalului/consolei. Este foarte mic&#x103; &#x219;i portabil&#x103;.</p>

<p>A doua interfa&#x21B;&#x103; este construit&#x103; cu biblioteca &bdquo;conio&rdquo;. Aceasta ofer&#x103; o func&#x21B;ionalitate &icirc;ncorporat&#x103; de derulare &icirc;napoi. Utilizatorului i se prezint&#x103; o list&#x103; numerotat&#x103; cu litere. Alegerea dintr-o list&#x103; se poate face ap&#x103;s&acirc;nd doar o liter&#x103;. Aceast&#x103; interfa&#x21B;&#x103; este rapid&#x103;, deoarece salveaz&#x103; ap&#x103;s&#x103;rile de taste. Dac&#x103; este posibil, ecranul va fi restabilit dup&#x103; ie&#x219;ire. Cine prefer&#x103; s&#x103; tasteze numere poate folosi op&#x21B;iunea <b>-N</b>.</p>

<p>A treia interfa&#x21B;&#x103; este construit&#x103; cu biblioteca &bdquo;curses&rdquo;. Este similar&#x103; cu interfa&#x21B;a &bdquo;conio&rdquo;. Versiunea &bdquo;curses&rdquo; a wcd are, de asemenea, o interfa&#x21B;&#x103; &bdquo;grafic&#x103;&rdquo; suplimentar&#x103;. Aceasta permite utilizatorului s&#x103; selecteze un director dintr-un arbore de directoare, prin intermediul unui navigator interactiv pe ecran complet. Acesta are o metod&#x103; de navigare &#x219;i c&#x103;utare precum vim(1). Aceasta poate fi activat&#x103; cu op&#x21B;iunea <b>-g</b>.</p>

<p>Folosind op&#x21B;iunea <b>-o</b> se poate reveni oric&acirc;nd la interfa&#x21B;a intrare/ie&#x219;ire standard (stdin/stdout).</p>

<h1 id="OPIUNI">OP&#x21A;IUNI</h1>

<dl>

<dt id="a"><b>-a</b></dt>
<dd>

<p>Adaug&#x103; calea curent&#x103; la fi&#x219;ierul cu datele arborelui implicit.</p>

<p>Utiliza&#x21B;i aceast&#x103; op&#x21B;iune pentru a ad&#x103;uga rapid calea curent&#x103; la fi&#x219;ierul implicit cu datele arborelui. Rescanarea &icirc;ntregului disc poate dura mult timp &icirc;n unele cazuri.</p>

</dd>
<dt id="aa"><b>-aa</b></dt>
<dd>

<p>Adaug&#x103; c&#x103;ile curente &#x219;i toate c&#x103;ile p&#x103;rinte la fi&#x219;ierul implicit cu datele arborelui.</p>

</dd>
<dt id="A-CALEA"><b>-A CALEA</b></dt>
<dd>

<p>Scaneaz&#x103; arborele de directoare din <i>CALEA</i> &#x219;i adaug&#x103; rezultatul la fi&#x219;ierul implicit cu datele arborelui. Exemple:</p>

<pre><code>    wcd -A .
    wcd -A /home -A /etc
    wcd -A d: -A e: -A \\server\share</code></pre>

<p>&Icirc;n Windows se pot scana toate directoarele partajate ale unui server LAN Windows tast&acirc;nd ceva precum: <code>wcd -A \\servername</code>.</p>

<p>A se vedea, de asemenea, op&#x21B;iunile <b>-S</b>, <b>-s</b> &#x219;i <b>-E</b>.</p>

</dd>
<dt id="b"><b>-b</b></dt>
<dd>

<p>Interzice calea curent&#x103;.</p>

<p>Wcd plaseaz&#x103; calea curent&#x103; &icirc;n fi&#x219;ierul de interdic&#x21B;ii. Aceasta &icirc;nseamn&#x103; c&#x103; wcd ignor&#x103; toate potrivirile acestui director &#x219;i ale subdirectoarelor sale.</p>

<p>Fi&#x219;ierul de interdic&#x21B;ii poate fi editat cu un editor de text. Utilizarea metacaracterelor este acceptat&#x103; &#x219;i numele sunt corelate cu calea absolut&#x103;.</p>

<p>C&#x103;ile interzise nu sunt excluse de la scanarea discului. Pentru a face acest lucru, utiliza&#x21B;i op&#x21B;iunea <b>-xf</b>.</p>

</dd>
<dt id="c---direct-cd"><b>-c, --direct-cd</b></dt>
<dd>

<p>Modul CD direct. &Icirc;n mod implicit, wcd func&#x21B;ioneaz&#x103; dup&#x103; cum urmeaz&#x103;:</p>

<pre><code>    1. &Icirc;ncearc&#x103; s&#x103; g&#x103;seasc&#x103; o potrivire &icirc;n fi&#x219;ierele cu datele arborelui.
    2. Dac&#x103; n-o g&#x103;se&#x219;te, &icirc;ncearc&#x103; s&#x103; deschid&#x103; directorul pe care l-a&#x21B;i introdus.</code></pre>

<p>&Icirc;n modul CD indirect, wcd func&#x21B;ioneaz&#x103; &icirc;n ordine invers&#x103;.</p>

<pre><code>    1. &Icirc;ncearc&#x103; s&#x103; deschid&#x103; directorul pe care l-a&#x21B;i introdus.
    2. Dac&#x103; nu poate, &icirc;ncearc&#x103; s&#x103; g&#x103;seasc&#x103; o potrivire &icirc;n fi&#x219;ierele cu datele arborelui.</code></pre>

</dd>
<dt id="d-UNITATE"><b>-d UNITATE</b></dt>
<dd>

<p>Stabile&#x219;te unitatea pentru fi&#x219;ierul stiv&#x103; &#x219;i scriptul-go (numai pentru DOS).</p>

<p>Fi&#x219;ierul stiv&#x103; &#x219;i fi&#x219;ierul script-go sunt stocate implicit pe unitatea C: dac&#x103; variabila de mediu <i>HOME</i> nu este definit&#x103;. Utiliza&#x21B;i aceast&#x103; op&#x21B;iune dac&#x103; unitatea C: este o unitate numai pentru citire. Aceast&#x103; op&#x21B;iune trebuie utilizat&#x103; &icirc;n fa&#x21B;a op&#x21B;iunilor de stiv&#x103; <b>-</b>, <b>+</b> &#x219;i <b>=</b>.</p>

</dd>
<dt id="e"><b>-e</b></dt>
<dd>

<p>Adaug&#x103; calea curent&#x103; la fi&#x219;ierul suplimentar cu datele arborelui.</p>

<p>Utiliza&#x21B;i aceast&#x103; op&#x21B;iune pentru a ad&#x103;uga rapid calea curent&#x103; la fi&#x219;ierul suplimentar cu datele arborelui.</p>

</dd>
<dt id="ee"><b>-ee</b></dt>
<dd>

<p>Adaug&#x103; c&#x103;ile curente &#x219;i toate c&#x103;ile p&#x103;rinte la fi&#x219;ierul suplimentar cu datele arborelui.</p>

</dd>
<dt id="E-CALEA"><b>-E CALEA</b></dt>
<dd>

<p>Scaneaz&#x103; arborele de directoare din <i>CALEA</i> &#x219;i-l adaug&#x103; la fi&#x219;ierul suplimentar cu datele arborelui. A se vedea, de asemenea, op&#x21B;iunile <b>-A</b> &#x219;i <b>-S</b>.</p>

</dd>
<dt id="f-FIIER"><b>-f FI&#x218;IER</b></dt>
<dd>

<p>Cite&#x219;te fi&#x219;ierul cu datele arborelui <i>FI&#x218;IER</i>. Nu cite&#x219;te fi&#x219;ierul implicit cu datele arborelui.</p>

</dd>
<dt id="f-FIIER1"><b>+f FI&#x218;IER</b></dt>
<dd>

<p>Cite&#x219;te fi&#x219;ierul cu datele arborelui <i>FI&#x218;IER</i> &icirc;n plus fa&#x21B;&#x103; de fi&#x219;ierul implicit cu datele arborelui.</p>

</dd>
<dt id="g"><b>-g</b></dt>
<dd>

<p>Interfa&#x21B;&#x103; grafic&#x103; (numai &icirc;n versiunea cu interfa&#x21B;&#x103; &bdquo;curses&rdquo;).</p>

<p>Wcd porne&#x219;te o interfa&#x21B;&#x103; &bdquo;grafic&#x103;&rdquo; bazat&#x103; pe curses textual. Utilizatorul poate selecta un director prin intermediul unui navigator interactiv pe ecran complet. Acesta are o metod&#x103; de navigare &#x219;i c&#x103;utare precum vim(1).</p>

<p>Dac&#x103; nu este dat niciun &#x219;ir de c&#x103;utare, wcd prezint&#x103; &icirc;ntregul arbore care se afl&#x103; &icirc;n fi&#x219;ierul implicit cu datele arborelui &#x219;i fi&#x219;ierele suplimentare cu datele arborelui.</p>

<p>Dac&#x103; este dat un &#x219;ir de c&#x103;utare, lista de potriviri este prezentat&#x103; ca un arbore de directoare.</p>

<p>Aspectul arborescent implicit este similar cu aspectul arborescent al NCD-ului original pe DOS. Diferen&#x21B;a de aspect este c&#x103; &icirc;n NCD toate directoarele de acela&#x219;i nivel de ad&acirc;ncime au fost aliniate vertical pe &icirc;ntregul arbore. Acest lucru a fost posibil &icirc;n NCD, deoarece l&#x103;&#x21B;imea maxim&#x103; a unui nume de director &icirc;n DOS era de 12 (8,3) caractere. &Icirc;n sistemele de operare moderne, numele directoarelor pot fi foarte lungi, deci &#x219;i diferen&#x21B;ele de lungime pot fi mari. Prin urmare, dosarele cu aceea&#x219;i ad&acirc;ncime nu sunt aliniate vertical pe &icirc;ntreg arborele &icirc;n wcd, ci doar &icirc;n subramuri. Deci, exist&#x103; o mi&#x219;care lateral&#x103; atunci c&acirc;nd v&#x103; deplasa&#x21B;i direct &icirc;n sus &#x219;i &icirc;n jos de la o subramur&#x103; la alta subramur&#x103;.</p>

<p>Comportamentul de navigare &icirc;n Wcd este exact acela&#x219;i ca &icirc;n NCD original. De exemplu, dac&#x103; ap&#x103;sa&#x21B;i tasta &laquo;Jos&raquo;, merge&#x21B;i la urm&#x103;torul director cu acela&#x219;i nivel de ad&acirc;ncime, s&#x103;rind peste ramuri. Acest lucru permite navigarea rapid&#x103; prin arbore.</p>

<p>Consulta&#x21B;i op&#x21B;iunile <b>-Ta</b>, <b>-TC</b> &#x219;i <b>-Tc</b> pentru a modifica comportamentul de navigare.</p>

</dd>
<dt id="gd"><b>-gd</b></dt>
<dd>

<p>Afi&#x219;eaz&#x103; fi&#x219;ierele cu datele arborelui, ca arbore la ie&#x219;irea standard.</p>

</dd>
<dt id="G-CALEA"><b>-G CALEA</b></dt>
<dd>

<p>Scrie un fi&#x219;ier script-go &icirc;n directorul <i>CALEA</i>. De exemplu, &icirc;n Unix, <code>wcd -G CALEA</code> va scrie un fi&#x219;ier go-script &icirc;n <b>CALEA/wcd.go</b>.</p>

</dd>
<dt id="GN---no-go-script"><b>-GN, --no-go-script</b></dt>
<dd>

<p>Nu creeaz&#x103; fi&#x219;ierul script-go. Aceast&#x103; op&#x21B;iune poate fi folosit&#x103; &icirc;n combina&#x21B;ie cu op&#x21B;iunea <b>-j</b> dac&#x103; nu se dore&#x219;te ca wcd s&#x103; creeze un fi&#x219;ier script-go.</p>

</dd>
<dt id="h---help"><b>-h, --help</b></dt>
<dd>

<p>Afi&#x219;eaz&#x103; ajutorul &#x219;i iese.</p>

</dd>
<dt id="i---ignore-case"><b>-i, --ignore-case</b></dt>
<dd>

<p>Ignor&#x103; diferen&#x21B;a dintre majuscule/minuscule. Versiunile Dos &#x219;i Windows ale wcd ignor&#x103; diferen&#x21B;a dintre majuscule/minuscule &icirc;n mod implicit. Versiunile Unix/Cygwin respect&#x103; diferen&#x21B;a dintre majuscule/minuscule &icirc;n mod implicit.</p>

</dd>
<dt id="i---no-ignore-case"><b>+i, --no-ignore-case</b></dt>
<dd>

<p>Respect&#x103; diferen&#x21B;a dintre majuscule/minuscule. A se vedea, de asemenea, op&#x21B;iunea <b>-i</b>.</p>

</dd>
<dt id="I---ignore-diacritics"><b>-I, --ignore-diacritics</b></dt>
<dd>

<p>Ignor&#x103; semnele diacritice pentru scripturile latine. Literele cu semne diacritice se potrivesc cu litera de baz&#x103; f&#x103;r&#x103; semne diacritice. Sunt acceptate urm&#x103;toarele codific&#x103;ri latine: CP437, CP850, CP852, CP1250, CP1252, ISO-8859-1, ISO-8859-2 &#x219;i Unicode Latin-1, Latin Extended-A &#x219;i Latin Extended-B. A se vedea, de asemenea, <a href="https://ro.wikipedia.org/wiki/Semn_diacritic">https://ro.wikipedia.org/wiki/Semn_diacritic</a>, sau &icirc;n englez&#x103;: <a href="http://en.wikipedia.org/wiki/Diacritic">http://en.wikipedia.org/wiki/Diacritic</a>, pentru cei care au cuno&#x219;tin&#x21B;e de limb&#x103;, &#x219;i vor s&#x103; aprofundeze aceast&#x103; tem&#x103;</p>

</dd>
<dt id="I---no-ignore-diacritics"><b>+I, --no-ignore-diacritics</b></dt>
<dd>

<p>Respect&#x103; diacriticele (implicit). A se vedea, de asemenea, op&#x21B;iunea <b>-I</b>.</p>

</dd>
<dt id="j---just-go"><b>-j, --just-go</b></dt>
<dd>

<p>Doar modul &bdquo;go&rdquo;.</p>

<p>&Icirc;n acest mod, wcd nu va prezenta o list&#x103; atunci c&acirc;nd exist&#x103; mai multe directoare care se potrivesc cu directorul dat. Wcd va schimba doar la prima op&#x21B;iune. C&acirc;nd wcd este invocat din nou cu acelea&#x219;i argumente, va schimba la urm&#x103;toarea op&#x21B;iune &#x219;i a&#x219;a mai departe.</p>

<p>Wcd va afi&#x219;a directorul la care merge la ie&#x219;irea standard. &Icirc;n acest fel, poate fi utilizat&#x103; o metod&#x103; diferit&#x103; de instalare. S-ar putea face urm&#x103;toarea func&#x21B;ie pentru un shell compatibil POSIX:</p>

<pre><code>    wcd ()
    {
        cd &quot;$($HOME/bin/wcd.exe -j $@)&quot;
    }</code></pre>

<p>C&acirc;nd utiliza&#x21B;i un shell vechi care nu accept&#x103; &icirc;nlocuirea comenzii &bdquo;$()&rdquo;, trebuie s&#x103; utiliza&#x21B;i &icirc;nlocuirea comenzii &icirc;n stil vechi cu ghilimele &icirc;napoi &laquo;`&raquo;.</p>

<pre><code>    wcd ()
    {
        cd &quot;`$HOME/bin/wcd.exe -j $@`&quot;
    }</code></pre>

<p>&Icirc;n sistemele Windows, dac&#x103; cineva ruleaz&#x103; shell 4NT, se poate face urm&#x103;torul alias:</p>

<pre><code>    alias wcd `cd %@execstr[wcdwin32.exe -z 0 -j %1]`</code></pre>

<p>Aceast&#x103; metod&#x103; elimin&#x103; necesitatea utiliz&#x103;rii scriptului-go, astfel &icirc;nc&acirc;t se poate folosi op&#x21B;iunea <b>-GN</b> &icirc;n combina&#x21B;ie cu <b>-j</b>.</p>

</dd>
<dt id="k---keep-paths"><b>-k, --keep-paths</b></dt>
<dd>

<p>P&#x103;streaz&#x103; c&#x103;ile.</p>

<p>P&#x103;streaz&#x103; c&#x103;ile &icirc;n fi&#x219;ierul cu datele arborelui atunci c&acirc;nd wcd nu poate schimba la ele. Comportamentul implicit al wcd este de-a &icirc;ncerca s&#x103; elimine c&#x103;ile din datele arborelui atunci c&acirc;nd wcd nu poate schimba la ele. Cu aceast&#x103; op&#x21B;iune, acest comportament este dezactivat.</p>

</dd>
<dt id="K---color"><b>-K, --color</b></dt>
<dd>

<p>Utilizeaz&#x103; culori &icirc;n modul grafic.</p>

</dd>
<dt id="l-ALIAS"><b>-l ALIAS</b></dt>
<dd>

<p>Nume&#x219;te calea curent&#x103; cu <i>ALIAS</i>. Wcd plaseaz&#x103; calea curent&#x103; cu alias <i>ALIAS</i> &icirc;n fi&#x219;ierul de alias. Intr&#x103;rile de alias respect&#x103; diferen&#x21B;a dintre majuscule/minuscule.</p>

</dd>
<dt id="ls"><b>-ls</b></dt>
<dd>

<p>Afi&#x219;eaz&#x103; numele fi&#x219;ierului de alias &#x219;i listeaz&#x103; toate intr&#x103;rile de alias ce le con&#x21B;ine.</p>

</dd>
<dt id="m-DIR"><b>-m DIR</b></dt>
<dd>

<p>Creeaz&#x103; directorul &#x219;i-l adaug&#x103; &icirc;n fi&#x219;ierul cu datele arborelui.</p>

</dd>
<dt id="L---license"><b>-L, --license</b></dt>
<dd>

<p>Afi&#x219;eaz&#x103; licen&#x21B;a de distribu&#x21B;ie.</p>

</dd>
<dt id="M-DIR"><b>-M DIR</b></dt>
<dd>

<p>Creeaz&#x103; directorul &#x219;i-l adaug&#x103; &icirc;n fi&#x219;ierul suplimentar cu datele arborelui.</p>

</dd>
<dt id="n-CALEA"><b>-n CALEA</b></dt>
<dd>

<p>Cite&#x219;te fi&#x219;ierul cu datele arborelui relativ de la <i>CALEA</i>.</p>

<p>Nu cite&#x219;te fi&#x219;ierul implicit cu datele arborelui. Fi&#x219;ierul cu datele arborelui relativ ar trebui s&#x103; fi fost deja creat folosind op&#x21B;iunea wcd <b>+S</b>. <i>CALEA</i> poate indica, de asemenea, direct c&#x103;tre un fi&#x219;ier.</p>

<p>Un exemplu. S&#x103; presupunem c&#x103; un alt sistem a fost montat la punctul de montare <code>/mnt/network</code>:</p>

<pre><code>    wcd -n /mnt/network src</code></pre>

<p>Wcd deschide fi&#x219;ierul cu datele arborelui relativ &icirc;n <code>/mnt/network/</code>. Fi&#x219;ierul con&#x21B;ine c&#x103;ile relative din acel punct.</p>

</dd>
<dt id="n-CALEA1"><b>+n CALEA</b></dt>
<dd>

<p>Cite&#x219;te fi&#x219;ierul cu datele arborelui relativ pe l&acirc;ng&#x103; fi&#x219;ierul implicit cu datele arborelui. A se vedea op&#x21B;iunea <b>-n</b>.</p>

</dd>
<dt id="N---numbers"><b>-N, --numbers</b></dt>
<dd>

<p>Utilizeaz&#x103; numere &icirc;n loc de litere.</p>

<p>Wcd cu o interfa&#x21B;&#x103; bazat&#x103; pe &bdquo;conio&rdquo; sau &bdquo;curses&rdquo; (a se vedea sec&#x21B;iunea Interfe&#x21B;e) prezint&#x103; o list&#x103; de potriviri numerotat&#x103; implicit cu litere. C&acirc;nd se utilizeaz&#x103; op&#x21B;iunea <b>-N</b>, lista de potriviri este numerotat&#x103; cu numere. Indiferent dac&#x103; op&#x21B;iunea <b>-N</b> este prezent&#x103;, sau nu, se poate tasta o liter&#x103; sau numere pentru a face o selec&#x21B;ie din lista de potriviri.</p>

</dd>
<dt id="o"><b>-o</b></dt>
<dd>

<p>Utilizeaz&#x103; interfa&#x21B;a intrare/ie&#x219;ire standard (stdin/stdout).</p>

<p>C&acirc;nd dintr-un anumit motiv interfa&#x21B;a &bdquo;conio&rdquo; sau &bdquo;curses&rdquo; a wcd nu func&#x21B;ioneaz&#x103;, se poate reveni la interfa&#x21B;a intrare/ie&#x219;ire standard (stdin/stdout) a wcd folosind op&#x21B;iunea <b>-o</b>.</p>

</dd>
<dt id="od---to-stdout"><b>-od, --to-stdout</b></dt>
<dd>

<p>Afi&#x219;eaz&#x103; toate potrivirile la ie&#x219;irea standard.</p>

</dd>
<dt id="q---quiet"><b>-q, --quiet</b></dt>
<dd>

<p>Func&#x21B;ionare mai silen&#x21B;ioas&#x103;. Afi&#x219;area potrivirii finale este suprimat&#x103;.</p>

</dd>
<dt id="r-DIR"><b>-r DIR</b></dt>
<dd>

<p>Elimin&#x103; directorul &#x219;i-l elimin&#x103; &#x219;i din fi&#x219;ierul cu datele arborelui.</p>

<p>Dac&#x103; directorul este gol, wcd &icirc;l va &#x219;terge &#x219;i va &icirc;ncerca s&#x103;-l elimine din fi&#x219;ierul cu datele arborelui.</p>

</dd>
<dt id="rmtree-DIR"><b>-rmtree DIR</b></dt>
<dd>

<p>&#x218;terge &icirc;n mod recurs directorul &#x219;i-l elimin&#x103; din fi&#x219;ierul cu datele arborelui.</p>

<p>Wcd va &#x219;terge directorul &#x219;i toate subdirectoarele &#x219;i fi&#x219;ierele sale &#x219;i va elimina directoarele acestea din fi&#x219;ierul cu datele arborelui.</p>

</dd>
<dt id="s"><b>-s</b></dt>
<dd>

<p>Scaneaz&#x103;/Rescaneaz&#x103; discul din directorul <code>$HOME</code>. Dac&#x103; variabila <i>HOME</i> nu este definit&#x103;, discul este scanat din directorul r&#x103;d&#x103;cin&#x103; /.</p>

<p>Fi&#x219;ierul implicit cu datele arborelui, existent, este suprascris.</p>

<p>Directorul de scanare implicit poate fi anulat cu variabila de mediu <code>WCDSCAN</code>. A se vedea sec&#x21B;iunea VARIABILE DE MEDIU.</p>

</dd>
<dt id="S-CALEA"><b>-S CALEA</b></dt>
<dd>

<p>Scaneaz&#x103; arborele de directoare din <i>CALEA</i> &#x219;i suprascrie fi&#x219;ierul implicit cu datele arborelui. A se vedea, de asemenea, op&#x21B;iunile <b>-A</b>, <b>-s</b> &#x219;i <b>-E</b>. De exemplu, cu op&#x21B;iunea <b>-A</b> pute&#x21B;i crea un fi&#x219;ier implicit cu datele arborelui la alegere. Exemple:</p>

<p>Unix:</p>

<pre><code>    wcd -S /
    wcd -S /home -A /etc -A /usr</code></pre>

<p>DOS/Windows:</p>

<pre><code>    wcd -S c:/
    wcd -S c: -A d: -A \\server\share</code></pre>

<p>Cu versiunile Windows se pot scana toate directoarele partajate ale unui server LAN Windows tast&acirc;nd ceva precum: <code>wcd -S \\servername</code>.</p>

</dd>
<dt id="S-CALEA1"><b>+S CALEA</b></dt>
<dd>

<p>Scaneaz&#x103; discul de la <i>CALEA</i> &#x219;i plaseaz&#x103; c&#x103;i relative &icirc;ntr-un fi&#x219;ier cu datele arborelui relativ. Acest fi&#x219;ier este utilizat de op&#x21B;iunile <b>-n</b> &#x219;i <b>+n</b> ale &laquo;wcd&raquo;. De exemplu, <code>wcd -n CALEA src</code>.</p>

</dd>
<dt id="t"><b>-t</b></dt>
<dd>

<p>Nu &#x219;terge dosarul de montare temporar <code>/tmp_mnt</code> (numai &icirc;n Unix)</p>

<p>Wcd elimin&#x103; &icirc;n mod implicit <code>/tmp_mnt/</code> din potriviri. Directorul <code>/tmp_mnt</code> este utilizat de auto-mounter. Acest comportament poate fi dezactivat cu op&#x21B;iunea <b>-t</b>.</p>

</dd>
<dt id="T---ascii-tree"><b>-T, --ascii-tree</b></dt>
<dd>

<p>Deseneaz&#x103; arborele cu caractere ASCII. Utiliza&#x21B;i aceast&#x103; op&#x21B;iune dac&#x103; caracterele desenate nu sunt afi&#x219;ate corect &icirc;n terminalul dumneavoastr&#x103;.</p>

</dd>
<dt id="Ta---alt-tree-nav"><b>-Ta, --alt-tree-nav</b></dt>
<dd>

<p>Metod&#x103; alternativ&#x103; de navigare &icirc;n arborele grafic.</p>

<p>&Icirc;n aspectul implicit al arborelui &icirc;n stil NCD, op&#x21B;iunea <b>-Ta</b> dezactiveaz&#x103; accesul la directoare care nu au leg&#x103;tur&#x103;.</p>

<p>&Icirc;n modul arbore compact, modul alternativ face navigarea similar&#x103; cu navigarea &icirc;n managerii de fi&#x219;iere GUI, cum ar fi Windows Explorer sau Linux KDE Konqueror. Ap&#x103;s&acirc;nd &bdquo;Sus&rdquo; &#x219;i &bdquo;Jos&rdquo;, va muta dosarul selectat cu o linie &icirc;n sus sau &icirc;n jos. Ap&#x103;s&acirc;nd prima dat&#x103; &bdquo;St&acirc;nga&rdquo;, subdosarele sunt pliate, iar la urm&#x103;toarea ap&#x103;sare a tastei &bdquo;St&acirc;nga&rdquo; se deplaseaz&#x103; cu adev&#x103;rat la st&acirc;nga.</p>

<p>Pute&#x21B;i comuta din mers &icirc;ntre navigarea implicit&#x103; &#x219;i cea alternativ&#x103; ap&#x103;s&acirc;nd &lt;Shift-A&gt;.</p>

<p>C&acirc;nd modul alternativ de navigare este activat, ve&#x21B;i vedea un &bdquo;A&rdquo; &icirc;n col&#x21B;ul din dreapta jos.</p>

</dd>
<dt id="TC---center-tree"><b>-TC, --center-tree</b></dt>
<dd>

<p>Vizualizare centrat&#x103; &icirc;n arborele grafic. Directorul selectat r&#x103;m&acirc;ne &icirc;n mijlocul ecranului. Modul centrat al arborelui grafic poate fi, de asemenea, activat &#x219;i dezactivat cu tasta &lt;t&gt;.</p>

<p>Comportamentul standard necentrat, care minimizeaz&#x103; mi&#x219;carea arborelui, este acela&#x219;i ca &icirc;n NCD original.</p>

</dd>
<dt id="Tc---compact-tree"><b>-Tc, --compact-tree</b></dt>
<dd>

<p>&Icirc;n mod implicit, arborele &bdquo;grafic&rdquo; este desenat &icirc;n acela&#x219;i mod &icirc;n care a f&#x103;cut-o NCD-ul original pe DOS. Pe DOS, o cale de director poate avea doar 66 de caractere &icirc;n total. Cu structurile de directoare profunde de ast&#x103;zi, arborele poate deveni foarte lat. Pentru a dep&#x103;&#x219;i acest lucru, wcd poate desena arborele &icirc;ntr-un mod compact, similar cu majoritatea managerilor de fi&#x219;iere GUI, cu un singur folder pe linie. Utiliza&#x21B;i op&#x21B;iunea <b>-Tc</b> sau comuta&#x21B;i din mers cu tasta &lt;m&gt;.</p>

</dd>
<dt id="Td---cjk-width"><b>-Td, --cjk-width</b></dt>
<dd>

<p>Fonturile vechi CJK din Asia de Est (chinez&#x103;, japonez&#x103; &#x219;i coreean&#x103;) au anumite caractere &#x219;i simboluri de desen de linii cu o l&#x103;&#x21B;ime de 2 coloane, &icirc;n timp ce l&#x103;&#x21B;imea Unicode normal&#x103; pentru aceste caractere este de 1 coloan&#x103;. De exemplu fontul raster chinezesc CP936 pe Windows &#x219;i fontul Simsun. Utiliza&#x21B;i aceast&#x103; op&#x21B;iune pentru o conturare corect&#x103; a arborelui grafic atunci c&acirc;nd este utilizat un font CJK vechi.</p>

<p>C&acirc;nd modul CJK este activat, ve&#x21B;i vedea un &bdquo;C&rdquo; &icirc;n col&#x21B;ul din dreapta jos.</p>

</dd>
<dt id="u-UTILIZATOR"><b>-u UTILIZATOR</b></dt>
<dd>

<p>Scaneaz&#x103; fi&#x219;ierul cu datele arborelui, al altui utilizator pe baza a <i>UTILIZATOR</i>, nu scaneaz&#x103; propriul dumneavoastr&#x103; fi&#x219;ier cu datele arborelui implicit. A se vedea, de asemenea, sec&#x21B;iunea VARIABILE DE MEDIU pentru <i>WCDUSERSHOME</i>.</p>

<p>&Icirc;n Unix/Cygwin, directorul de baz&#x103; pentru directoarele acas&#x103; ale utilizatorilor se presupune a fi C &lt;/home&gt;. wcd va c&#x103;uta c &lt;/home/nume_utilizator/.treedata.wcd&gt; &#x219;i c &lt;/home/nume_utilizator/.wcd/.treedata.wcd&gt;, &icirc;n aceast&#x103; ordine, &#x219;i va citi primul care exist&#x103; &#x219;i poate fi citit. &Icirc;n DOS/Windows, directorul de baz&#x103; pentru directoarele acas&#x103; ale utilizatorului se presupune a fi C &lt;\\ Users&gt;, astfel &icirc;nc&acirc;t wcd &icirc;ncearc&#x103; s&#x103; citeasc&#x103; C &lt;\\Users\Nume_Utilizator reedata.wcd&gt; &#x219;i C &lt;\\Users\Nume_Utilizator\.wcd reedata.wcd&gt;.</p>

</dd>
<dt id="u-UTILIZATOR1"><b>+u UTILIZATOR</b></dt>
<dd>

<p>Cite&#x219;te fi&#x219;ierul implicit &bdquo;treedata.wcd&rdquo; al utilizatorului UTILIZATOR, pe l&acirc;ng&#x103; propriul dumneavoastr&#x103; fi&#x219;ier &bdquo;treedata.wcd&rdquo;.</p>

</dd>
<dt id="v---verbose"><b>-v, --verbose</b></dt>
<dd>

<p>Afi&#x219;eaz&#x103; mesaje detaliate. Cu aceast&#x103; op&#x21B;iune, wcd afi&#x219;eaz&#x103; toate filtrele, interdic&#x21B;iile &#x219;i excluderile.</p>

</dd>
<dt id="V---version"><b>-V, --version</b></dt>
<dd>

<p>Afi&#x219;eaz&#x103; informa&#x21B;iile despre versiune &#x219;i iese.</p>

</dd>
<dt id="w---wild-match-only"><b>-w, --wild-match-only</b></dt>
<dd>

<p>Doar potrivire cu ajutorul metacaracterelor. Trateaz&#x103; toate potrivirile ca potriviri cu metacaractere (caractere Jocker).</p>

</dd>
<dt id="x-CALEA"><b>-x CALEA</b></dt>
<dd>

<p>Exclude <i>CALEA</i> de la scanare.</p>

<p>C&acirc;nd aceast&#x103; op&#x21B;iune este folosit&#x103;, wcd va exclude <i>CALEA</i> &#x219;i toate subdirectoarele sale atunci c&acirc;nd wcd scaneaz&#x103; un disc. Metacaracterele sunt acceptate &#x219;i corelate cu c&#x103;i absolute. Op&#x21B;iunea <b>-x</b> poate fi folosit&#x103; de mai multe ori.</p>

<pre><code>    wcd -x &lt;calea1&gt; -x &lt;calea2&gt; -s</code></pre>

<p>Op&#x21B;iunea <b>-x</b> trebuie folosit&#x103; &icirc;naintea oric&#x103;rei op&#x21B;iuni de scanare (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

<p>&Icirc;n sistemele DOS/Windows trebuie s&#x103; specifica&#x21B;i litera unit&#x103;&#x21B;ii, &icirc;n cazul &icirc;n care este definit&#x103; variabila de mediu <i>HOME</i> sau <i>WCDHOME</i>. Dac&#x103; <i>HOME</i> sau <i>WCDHOME</i> este definit&#x103;, trebuie s&#x103; specifica&#x21B;i litera unit&#x103;&#x21B;ii. Un exemplu:</p>

<pre><code>    wcd -x c:/temp -S c:</code></pre>

<p>&Icirc;n caz contrar, nu trebuie s&#x103; specifica&#x21B;i litera de unitate.</p>

<pre><code>    wcd -x /temp -s</code></pre>

</dd>
<dt id="xf-FIIER"><b>-xf FI&#x218;IER</b></dt>
<dd>

<p>Exclude toate c&#x103;ile listate &icirc;n <i>FI&#x218;IER</i> de la scanare.</p>

<p>C&acirc;nd este utilizat&#x103; aceast&#x103; op&#x21B;iune, wcd va exclude toate c&#x103;ile listate &icirc;n <i>FI&#x218;IER</i> &#x219;i toate subdirectoarele lor atunci c&acirc;nd wcd scaneaz&#x103; un disc. Metacaracterele sunt acceptate &#x219;i sunt corelate cu c&#x103;i absolute; o cale pe linie. Fi&#x21B;i con&#x219;tien&#x21B;i de faptul c&#x103; wcd nu va ignora spa&#x21B;iile libere de &icirc;nceput sau de final de pe o linie, deoarece sunt caractere legale &icirc;ntr-un nume de director. Op&#x21B;iunea <b>-xf</b> poate fi folosit&#x103; de mai multe ori. C&acirc;nd dori&#x21B;i s&#x103; exclude&#x21B;i toate c&#x103;ile interzise de la scanare, pute&#x21B;i face urm&#x103;toarele (exemplu pentru wcd &icirc;n Unix):</p>

<pre><code>    wcd -xf ~/.ban.wcd -s</code></pre>

<p>Sunt acceptate metacaracterele. De exemplu, pentru a exclude toate directoarele dumneavoastr&#x103; &bdquo;Subversion&rdquo; cu fi&#x219;iere administrative ad&#x103;uga&#x21B;i o linie cu <code>*/.svn</code>.</p>

<p>Op&#x21B;iunea <b>-xf</b> trebuie folosit&#x103; &icirc;naintea oric&#x103;rei op&#x21B;iuni de scanare (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

</dd>
<dt id="y---assume-yes"><b>-y, --assume-yes</b></dt>
<dd>

<p>R&#x103;spunde Da (Yes) la toate &icirc;ntreb&#x103;rile.</p>

<p>Wcd nu va solicita utilizatorului &icirc;ntreb&#x103;ri da/nu, dar presupune c&#x103; utilizatorul r&#x103;spunde da la toate &icirc;ntreb&#x103;rile. Aceasta poate fi utilizat&#x103; &icirc;n combina&#x21B;ie cu op&#x21B;iunea <b>-rmtree</b>. Aceast&#x103; op&#x21B;iune trebuie utilizat&#x103; &icirc;n fa&#x21B;a op&#x21B;iunilor care pot conduce la &icirc;ntreb&#x103;ri da/nu.</p>

</dd>
<dt id="z-NUMR"><b>-z NUM&#x102;R</b></dt>
<dd>

<p>Stabile&#x219;te dimensiunea maxim&#x103; a stivei la NUM&#x102;R.</p>

<p>Dimensiunea implicit&#x103; a stivei este 10. Opera&#x21B;ia de stiv&#x103; poate fi dezactivat&#x103; set&acirc;nd dimensiunea la 0. Aceast&#x103; op&#x21B;iune trebuie utilizat&#x103; &icirc;n fa&#x21B;a oric&#x103;ror alte opera&#x21B;iuni de stiv&#x103; (<b>-</b>,<b>+</b>,<b>=</b>) . &Icirc;n caz contrar, dimensiunea stivei va fi setat&#x103; &icirc;napoi la valoarea implicit&#x103; de 10.</p>

<p>O comand&#x103; corect&#x103; este:</p>

<pre><code>    wcd -z 50 -</code></pre>

<p>Noua dimensiune a stivei va fi 50, wcd va merge cu un director &icirc;napoi. O comand&#x103; gre&#x219;it&#x103; este:</p>

<pre><code>    wcd - -z 50</code></pre>

<p>Wcd merge cu un director &icirc;napoi, stiva prime&#x219;te dimensiunea implicit&#x103; 10. <b>-z 50</b> este ignorat&#x103;.</p>

<p>Ad&#x103;uga&#x21B;i aceast&#x103; op&#x21B;iune ca prima op&#x21B;iune la alias sau func&#x21B;ia dumneavoastr&#x103; wcd. De exemplu, pentru un shell compatibil POSIX, aceasta ar fi:</p>

<pre><code>    wcd ()
    {
        wcd.exe -z 50 &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

</dd>
<dt id="NUMR"><b>-[NUM&#x102;R]</b></dt>
<dd>

<p>Plaseaz&#x103; directorul &icirc;n stiv&#x103; de NUM&#x102;R de ori. Implicit este 1 (o dat&#x103;).</p>

<p>Merge &icirc;napoi un director. Comanda <code>wcd -</code> merge cu un director &icirc;napoi. Pentru a merge &icirc;napoi cu mai multe directoare, ad&#x103;uga&#x21B;i un num&#x103;r la op&#x21B;iunea &bdquo;-&rdquo;. De exemplu, comanda <code>wcd -3</code>. Stiva este ciclic&#x103;.</p>

</dd>
<dt id="NUMR1"><b>+[NUM&#x102;R]</b></dt>
<dd>

<p>Scoate directorul din stiv&#x103; de NUM&#x102;R de ori. Implicit este 1 (o dat&#x103;).</p>

<p>Merge &icirc;nainte un director. Comanda <code>wcd +</code> merge cu un director &icirc;nainte. Pentru a merge &icirc;nainte cu mai multe directoare, ad&#x103;uga&#x21B;i un num&#x103;r la op&#x21B;iunea &bdquo;+&rdquo;. De exemplu, comanda <code>wcd +2</code>. Stiva este ciclic&#x103;.</p>

</dd>
<dt id="pod"><b>=</b></dt>
<dd>

<p>Afi&#x219;eaz&#x103; stiva.</p>

<p>Utiliza&#x21B;i aceast&#x103; op&#x21B;iune dac&#x103; nu v&#x103; aminti&#x21B;i unde v&#x103; afla&#x21B;i &icirc;n stiv&#x103;. Stiva este afi&#x219;at&#x103; &#x219;i pute&#x21B;i alege un num&#x103;r. Locul curent &icirc;n stiv&#x103; este marcat cu un asterisc <code>*</code>.</p>

</dd>
</dl>

<h1 id="INSTALARE">INSTALARE</h1>

<p>Directorul de lucru curent al unui shell Unix poate fi schimbat doar prin comanda intern&#x103; cd(1). Prin urmare, programul este &icirc;ntotdeauna apelat printr-o func&#x21B;ie sau un alias. Func&#x21B;ia sau alias genereaz&#x103; un script shell (script-go) care este generat de programul wcd. Wcd poate func&#x21B;iona numai dup&#x103; ce func&#x21B;ia sau alias sunt definite.</p>

<p>O alt&#x103; influen&#x21B;&#x103; important&#x103; asupra instal&#x103;rii dumneavoastr&#x103; este definirea variabilelor de mediu <i>HOME</i> &#x219;i <i>WCDHOME</i>. A se vedea sec&#x21B;iunea VARIABILE DE MEDIU.</p>

<h2 id="Instalarea-pentru-shell-uri-de-tip-POSIX">Instalarea pentru shell-uri de tip POSIX</h2>

<p>Pentru un shell POSIX (ksh, bash, zsh etc.) &icirc;n Unix, Linux, Cygwin sau MSYS nativ ad&#x103;uga&#x21B;i urm&#x103;toarea func&#x21B;ie la fi&#x219;ierul de configurare al shell-ului (de exemplu, Bash folose&#x219;te <code>$HOME/.bashrc</code>):</p>

<pre><code>    wcd ()
    {
        CALEA/wcd.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

<p>&Icirc;nlocui&#x21B;i <i>CALEA</i> cu loca&#x21B;ia &icirc;n care a fost instalat executabilul wcd. Re&icirc;nc&#x103;rca&#x21B;i fi&#x219;ierele de configurare a shell-ului sau porni&#x21B;i un nou shell.</p>

<p>Loca&#x21B;ia scriptului-go <code>wcd.go</code> difer&#x103; &icirc;n func&#x21B;ie de shell.</p>

<p>Wcd pentru bash DOS DJGPP &#x219;i bash OS/2 necesit&#x103; o func&#x21B;ie diferit&#x103;. Scriptul-go nu este scris &icirc;ntr-un director <code>bin</code>, iar dac&#x103; <i>WCDHOME</i> &#x219;i <i>HOME</i> nu sunt ambele definite, scriptul-go este scris pe c:/.</p>

<p>bash DOS:</p>

<pre><code>    wcd ()
    {
        CALEA/wcdbash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>bash OS/2:</p>

<pre><code>    wcd ()
    {
        CALEA/wcdos2bash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>Versiunea WinZsh de wcd necesit&#x103; o func&#x21B;ie pu&#x21B;in diferit&#x103;. Scriptul-go nu va fi niciodat&#x103; scris &icirc;n c:/.</p>

<pre><code>    wcd ()
    {
        CALEA/wcdwin32zsh.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/wcd.go
    }</code></pre>

<p>Consulta&#x21B;i sec&#x21B;iunea FI&#x218;IERE pentru mai multe informa&#x21B;ii.</p>

<h2 id="Instalarea-pentru-shell-uri-asemntoare-cu-limbajul-C-csh-tcsh">Instalarea pentru shell-uri asem&#x103;n&#x103;toare cu limbajul C (csh, tcsh)</h2>

<p>Ad&#x103;uga&#x21B;i urm&#x103;torul alias la fi&#x219;ierul de configurare al shell-ului, <code>$HOME/.cshrc</code> sau <code>$HOME/.tcshrc</code> :</p>

<pre><code>    if ( ${?WCDHOME} ) then
        alias wcd &quot;CALEA/wcd.exe \!* ; source $WCDHOME/bin/wcd.go&quot;
    else
        alias wcd &quot;CALEA/wcd.exe \!* ; source $HOME/bin/wcd.go&quot;
    endif</code></pre>

<p>&Icirc;nlocui&#x21B;i <i>CALEA</i> cu loca&#x21B;ia &icirc;n care a fost instalat executabilul wcd. Re&icirc;nc&#x103;rca&#x21B;i fi&#x219;ierele de configurare a shell-ului sau porni&#x21B;i un nou shell.</p>

<h2 id="Versiunea-liniei-de-comand-Windows">Versiunea liniei de comand&#x103; Windows</h2>

<p>Despacheta&#x21B;i fi&#x219;ierul zip &#x219;i ad&#x103;uga&#x21B;i directorul <code>bin</code> la variabila dumneavoastr&#x103; de mediu <i>PATH</i>.</p>

<p>&Icirc;n linia de comand&#x103; Windows, un program Windows nu poate modifica directorul de lucru curent, dar un fi&#x219;ier .bat poate. Scriptul de loturi de comenzi <code>wcd.bat</code> ruleaz&#x103; programul wcd care genereaz&#x103; un nou script de loturi de comenzi <code>wcdgo.bat</code>. Apoi <code>wcd.bat</code> ruleaz&#x103; <code>wcdgo.bat</code> care schimb&#x103; de fapt directorul.</p>

<h2 id="Windows-VISTA-i-versiunile-ulterioare">Windows VISTA &#x219;i versiunile ulterioare</h2>

<p>&Icirc;ntr-o linie de comand&#x103; Windows VISTA &#x219;i versiunile ulterioare, este posibil s&#x103; ave&#x21B;i acces limitat la directoare. Pentru a avea acces la mai multe directoare ave&#x21B;i nevoie de drepturi de administrator. Pute&#x21B;i ob&#x21B;ine o Linie de comand&#x103; cu drepturi de administrator dac&#x103; face&#x21B;i clic dreapta pe pictograma Linie de comand&#x103; &#x219;i selecta&#x21B;i <i>Ruleaz&#x103; ca administrator</i>.</p>

<h2 id="Versiunea-Windows-PowerShell">Versiunea Windows PowerShell</h2>

<p>Ad&#x103;uga&#x21B;i urm&#x103;toarea func&#x21B;ie la profilul dumneavoastr&#x103; de utilizator PowerShell. Loca&#x21B;ia acestui profil este stocat&#x103; &icirc;n variabila $profile. Este necesar ca una dintre variabilele de mediu <i>HOME</i> sau <i>WCDHOME</i> s&#x103; fie definit&#x103;.</p>

<pre><code>    function wcd
    {
        CALEA\wcdwin32psh.exe $args
        &amp; $env:HOME\wcdgo.ps1
    }</code></pre>

<p>&Icirc;nlocui&#x21B;i <i>CALEA</i> cu loca&#x21B;ia &icirc;n care a fost instalat executabilul wcd. Porni&#x21B;i un nou PowerShell. &laquo;wcd&raquo; pentru PowerShell accept&#x103; doar furnizorul de sistem de fi&#x219;iere. Niciun alt furnizor.</p>

<h2 id="Versiunea-liniei-de-comand-OS-2">Versiunea liniei de comand&#x103; OS/2</h2>

<p>&Icirc;ntr-o linie de comand&#x103; OS/2 (cmd.exe), un program OS/2 nu poate schimba directorul de lucru curent. De aceea wcd genereaz&#x103; un script de comand&#x103; <code>wcdgo.cmd</code> care trebuie executat &icirc;n shell-ul curent. Scriptul <code>wcd.cmd</code> execut&#x103; mai &icirc;nt&acirc;i <code>wcdos2.exe</code>, care creeaz&#x103; scriptul <code>wcdgo.cmd</code>. Apoi <code>wcd.cmd</code> execut&#x103; scriptul <code>wcdgo.cmd</code>.</p>

<h1 id="LOCALIZAREA">LOCALIZAREA</h1>

<dl>

<dt id="LANG"><b>LANG</b></dt>
<dd>

<p>Limba principal&#x103; este selectat&#x103; cu variabila de mediu <i>LANG</i>. Variabila <i>LANG</i> const&#x103; din mai multe p&#x103;r&#x21B;i. Prima parte este codul limbii cu litere mici. A doua este op&#x21B;ional&#x103; &#x219;i este codul &#x21B;&#x103;rii cu majuscule, precedat de un caracter de subliniere. Exist&#x103;, de asemenea, o a treia parte op&#x21B;ional&#x103;: codificarea caracterelor, precedat&#x103; de un punct. C&acirc;teva exemple pentru shell-uri de tip standard POSIX:</p>

<pre><code>    export LANG=ro               Rom&acirc;n&#x103;
    export LANG=ro_RO            Rom&acirc;n&#x103;, Rom&acirc;nia
    export LANG=ro_MO            Rom&acirc;n&#x103;, Republica Moldova
    export LANG=es_ES            Spaniol&#x103;, Spania
    export LANG=es_MX            Spaniol&#x103;, Mexic
    export LANG=en_US.iso88591   Englez&#x103;, SUA, codificarea Latin-1</code></pre>

<p>Pentru o list&#x103; complet&#x103; a codurilor de limb&#x103; &#x219;i de &#x21B;ar&#x103;, consulta&#x21B;i manualul gettext(1): <a href="http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes">http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes</a> &Icirc;n sistemele Unix, pute&#x21B;i utiliza comanda locale(1) pentru a ob&#x21B;ine informa&#x21B;ii specifice despre localizare.</p>

</dd>
<dt id="LANGUAGE"><b>LANGUAGE</b></dt>
<dd>

<p>Cu variabila de mediu <i>LANGUAGE</i> pute&#x21B;i specifica o list&#x103; de limbi prioritare, separate prin dou&#x103; puncte. wcd d&#x103; preferin&#x21B;&#x103; variabilei <i>LANGUAGE</i> fa&#x21B;&#x103; de <i>LANG</i>. De exemplu, mai &icirc;nt&acirc;i olandez&#x103; &#x219;i apoi german&#x103;: <code>LANGUAGE=nl:de</code>. Mai &icirc;nt&acirc;i trebuie s&#x103; activa&#x21B;i localizarea, set&acirc;nd <i>LANG</i> sau <i>LC_ALL</i> la o alt&#x103; valoare dec&acirc;t <i>C</i>, &icirc;nainte de a putea utiliza o list&#x103; de priorit&#x103;&#x21B;i de limb&#x103; prin variabila <i>LANGUAGE</i>. Consulta&#x21B;i &#x219;i manualul gettext(1): <a href="http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variable">http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variable</a></p>

<p>Dac&#x103; selecta&#x21B;i o limb&#x103; care nu este disponibil&#x103;, ve&#x21B;i primi mesajele standard &icirc;n limba englez&#x103;.</p>

</dd>
<dt id="WCDLOCALEDIR"><b>WCDLOCALEDIR</b></dt>
<dd>

<p>Cu variabila de mediu <i>WCDLOCALEDIR</i>, variabila <i>LOCALEDIR</i> folosit&#x103; &icirc;n timpul compil&#x103;rii &#x219;i instal&#x103;rii wcd poate fi anulat&#x103;. <i>LOCALEDIR</i> este folosit&#x103; de wcd cu suport pentru limba matern&#x103; pentru a g&#x103;si fi&#x219;ierele de limb&#x103;. Valoarea implicit&#x103; GNU este <code>/usr/local/share/locale</code>. Tast&acirc;nd <code>wcd -V</code>, wcd va afi&#x219;a valoarea variabilei <i>LOCALEDIR</i>, ce este utilizat&#x103;.</p>

<p>Dac&#x103; a&#x21B;i instalat wcd &icirc;ntr-un alt director dec&acirc;t directorul implicit, poate fi necesar s&#x103; defini&#x21B;i variabila de mediu <i>WCDLOCALEDIR</i> pentru a indica directorul local.</p>

<p>Un exemplu pentru linia de comand&#x103; (cmd) Windows:</p>

<pre><code>    set WCDLOCALEDIR=c:/prefixul_meu/share/locale</code></pre>

<p>Un exemplu pentru un shell POSIX:</p>

<pre><code>    export WCDLOCALEDIR=$HOME/share/locale</code></pre>

</dd>
<dt id="LC_COLLATE"><b>LC_COLLATE</b></dt>
<dd>

<p>C&acirc;nd exist&#x103; mai multe potriviri de directoare, wcd prezint&#x103; o list&#x103; sortat&#x103;. Sortarea depinde de configur&#x103;rile de localizare. Dac&#x103; a fost definit&#x103; variabila de mediu <i>LANG</i>, potrivirile sunt sortate ca &#x219;i cum dic&#x21B;ionarele sau agendele telefonice sunt sortate &icirc;n limba respectiv&#x103;. De exemplu, punctele &#x219;i liniu&#x21B;ele sunt ignorate sau literele e cu &#x219;i f&#x103;r&#x103; accent sunt v&#x103;zute ca fiind aceea&#x219;i liter&#x103; sau diferen&#x21B;a &icirc;ntre majuscule &#x219;i minuscule este ignorat&#x103;.</p>

<p>Sortarea d&#x103; preferin&#x21B;&#x103; variabilei de mediu <i>LC_COLLATE</i> fa&#x21B;&#x103; de <i>LANG</i>. Dac&#x103; face&#x21B;i <i>LC_COLLATE</i> egal cu <code>C</code> sau <code>POSIX</code>, sortarea local&#x103; este dezactivat&#x103;. De exemplu, dac&#x103; dori&#x21B;i limba olandez&#x103;, dar nu sortarea olandez&#x103;, pute&#x21B;i s&#x103; face&#x21B;i acest lucru:</p>

<pre><code>    export LANG=nl_NL
    export LC_COLLATE=C</code></pre>

</dd>
<dt id="LC_CTYPE"><b>LC_CTYPE</b></dt>
<dd>

<p>&Icirc;n ceea ce prive&#x219;te codificarea caracterelor, wcd va acorda preferin&#x21B;&#x103; variabilei <i>LC_CTYPE</i> fa&#x21B;&#x103; de <i>LANG</i>. De exemplu, pentru a configura codificarea caracterelor la UTF-8, se poate face urm&#x103;toarea configurare de mediu.</p>

<pre><code>    export LC_CTYPE=ro_RO.UTF-8</code></pre>

</dd>
<dt id="LC_ALL"><b>LC_ALL</b></dt>
<dd>

<p>Toate variabilele de mediu de localizare care &icirc;ncep cu <i>LC_</i> sunt anulate de variabila de mediu <i>LC_ALL</i> dac&#x103; este definit&#x103;. Wcd d&#x103; preferin&#x21B;&#x103; lui <i>LC_ALL</i> fa&#x21B;&#x103; de <i>LC_COLLATE</i> &#x219;i <i>LC_CTYPE</i>.</p>

</dd>
</dl>

<h2 id="PAGINI-DE-CODURI-WINDOWS">PAGINI DE CODURI WINDOWS</h2>

<p>Exist&#x103; dou&#x103; grupuri de pagini de cod: pagini de cod DOS (OEM) &#x219;i pagini de cod Windows (ANSI). Codificarea implicit&#x103; pentru Windows, atunci c&acirc;nd este configurat&#x103; cu parametrii regionali occidentali, este ANSI CP1252. Programele Windows, de exemplu Notepad, folosesc aceast&#x103; pagin&#x103; de cod ANSI implicit&#x103; a sistemului. Consola Windows utilizeaz&#x103; implicit o pagin&#x103; de coduri OEM (CP437 sau CP850) pentru compatibilitate cu programele DOS. Dac&#x103; utiliza&#x21B;i o versiune DOS a wcd &icirc;ntr-o consol&#x103; Windows, aceasta va func&#x21B;iona, din cauza paginii de cod DOS. Dar versiunea DOS a wcd nu are suport pentru nume lungi de directoare &#x219;i unit&#x103;&#x21B;i de re&#x21B;ea &icirc;n Windows.</p>

<p>Versiunea Windows a wcd este un program Windows nativ &#x219;i va folosi pagina de cod ANSI a sistemului Windows. Deci, &icirc;ntr-un Windows din regiunea occidental&#x103;, va folosi pagina de coduri CP1252 pentru nume de directoare &#x219;i mesaje. Pentru a ob&#x21B;ine rezultate consistente, independent de pagina de cod activ&#x103;, toate versiunile Windows ale wcd convertesc ie&#x219;irea ANSI &icirc;n ie&#x219;ire Unicode &icirc;n linia de comand&#x103; &#x219;i PowerShell.</p>

<p>Fontul raster al consolei accept&#x103; numai pagina original&#x103; de coduri OEM instalat&#x103; cu Windows, a&#x219;a c&#x103; va trebui s&#x103; schimba&#x21B;i fontul consolei la &bdquo;truetype&rdquo; Lucida Console pentru ca literele Unicode (&#x219;i ANSI) s&#x103; apar&#x103; corect.</p>

<p>Versiunile non-Unicode ale wcd <i>&icirc;nainte de versiunea 5.2.0</i> folosesc ie&#x219;irea ANSI simpl&#x103;. Pentru aceste versiuni mai vechi, pagina de cod a consolei trebuie s&#x103; fie aceea&#x219;i cu pagina de cod a sistemului (modificat&#x103; la 1252) pentru ca wcd pentru Windows s&#x103; func&#x21B;ioneze corect cu caractere speciale, cum ar fi caractere accentuate sau simbolul &bdquo;Euro&rdquo;.</p>

<p>Pagina de coduri a sistemului Windows poate fi modificat&#x103; prin op&#x21B;iunile regionale din Panoul de control. Pagina de cod a consolei Windows este schimbat&#x103; cu comanda <code>chcp</code>.</p>

<p>C&acirc;nd tasta&#x21B;i <code>wcd -V</code>, este afi&#x219;at&#x103; codarea real&#x103; a caracterelor folosit&#x103; de wcd. Tasta&#x21B;i comanda <code>chcp</code> pentru a afi&#x219;a pagina de cod activ&#x103; a consolei Windows.</p>

<h2 id="UNICODE">UNICODE</h2>

<p>Wcd are suport op&#x21B;ional pentru Unicode. Pentru a vedea dac&#x103; wcd a fost construit cu suport Unicode, tasta&#x21B;i <code>wcd -V</code>. Dac&#x103; terminalul/consola &#x219;i fontul dumneavoastr&#x103; accept&#x103; acest lucru, ar trebui s&#x103; vede&#x21B;i simbolul euro &#x219;i caracterele chineze&#x219;ti (&icirc;nsemn&acirc;nd: &bdquo;Chinez&#x103;&rdquo;).</p>

<p>Wcd a fost <i>par&#x21B;ial</i> convertit la Unicode. &Icirc;n nucleul s&#x103;u, wcd gestioneaz&#x103; toate datele ca un flux de octe&#x21B;i. Doar liniile afi&#x219;ate pe ecran sunt convertite din mers &icirc;n caractere late Unicode. Wcd se bazeaz&#x103; pe deplin pe func&#x21B;iile bibliotecii &laquo;libc&raquo; &#x219;i nu are cod specific UTF-8. A se vedea, de asemenea, <a href="http://www.cl.cam.ac.uk/~mgk25/unicode.html">http://www.cl.cam.ac.uk/~mgk25/unicode.html</a></p>

<p>Wcd are suport op&#x21B;ional pentru potrivirea Unicode cu normalizare. Pentru a afla dac&#x103; wcd are suport pentru normalizare, tasta&#x21B;i <code>wcd -V</code>. Wcd cu suport pentru normalizare Unicode se va potrivi cu numele Unicode pe baza echivalen&#x21B;ei <i>compatibile</i>. F&#x103;r&#x103; suport pentru normalizarea Unicode, numele se potrivesc atunci c&acirc;nd sunt echivalente binar. A se vedea, de asemenea, <a href="http://en.wikipedia.org/wiki/Unicode_normalization">http://en.wikipedia.org/wiki/Unicode_normalization</a></p>

<h3 id="UTF-8-n-Unix-Linux">UTF-8 &icirc;n Unix/Linux</h3>

<p>Pentru a vizualiza caracterele UTF-8, consola/terminalul dumneavoastr&#x103; trebuie s&#x103; accepte &#x219;i UTF-8. Versiunea xterm care vine cu XFree86 4.0 sau o versiune ulterioar&#x103; include suport pentru UTF-8. Pentru a-l activa, porni&#x21B;i xterm(1) &icirc;ntr-o localizare UTF-8 &#x219;i utiliza&#x21B;i un font cu codificare iso10646-1, de exemplu cu</p>

<pre><code>    LC_CTYPE=en_GB.UTF-8 xterm -u8 -fn &#39;-Misc-Fixed-Medium-R-SemiCondensed--13-120-75-75-C-60-ISO10646-1&#39;</code></pre>

<p>Distribu&#x21B;iile moderne de GNU/Linux accept&#x103; implicit UTF-8. Ar trebui s&#x103; func&#x21B;ioneze &#x219;i alte codific&#x103;ri de caractere pe mai mul&#x21B;i octe&#x21B;i, dar acest lucru nu a fost testat.</p>

<p>Wcd presupune c&#x103; fi&#x219;ierele treedata.wcd/extra.wcd sunt codificate &icirc;n codificarea caracterelor localiz&#x103;rii. Nu exist&#x103; marcaje de ordine a octe&#x21B;ilor (BOM) scrise &icirc;n fi&#x219;ierele treedata.wcd/extra.wcd.</p>

<h3 id="UTF-16-n-Windows">UTF-16 &icirc;n Windows</h3>

<p>&Icirc;n Windows, Unicode este acceptat&#x103; &icirc;n toate versiunile de PowerShell &#x219;i &icirc;n linia de comand&#x103; Windows &icirc;n Windows 7 (sau o versiune ulterioar&#x103;). Unicode func&#x21B;ioneaz&#x103; &#x219;i &icirc;n Take Command sau TCC/LE realizat de JP Software, care poate fi folosit cu versiuni mai vechi de Windows (XP/Vista).</p>

<p>&Icirc;n Windows, toate numele directoarelor de pe disc sunt codificate &icirc;n UTF-16 Unicode. Pentru programele Windows non-Unicode, caracterele Unicode sunt convertite &icirc;n pagina de coduri ANSI implicit&#x103;. Pentru caracterele care nu fac parte din configurarea regional&#x103;, aceast&#x103; conversie nu este posibil&#x103;, iar programele non-Unicode afi&#x219;eaz&#x103; un semn de &icirc;ntrebare sau un caracter gre&#x219;it.</p>

<p>Wcd cu suport Unicode va citi numele directoarelor codificate UTF-16 &#x219;i le va converti intern &icirc;n UTF-8. Toate fi&#x219;ierele treedata.wcd/extra.wcd sunt codificate &icirc;n UTF-8 &#x219;i nu sunt compatibile cu versiunea non-Unicode a wcd. Wcd va crea un script-go codificat &icirc;n UTF-8.</p>

<p>Toate versiunile de Windows PowerShell pot rula scripturi codificate &icirc;n UTF-8, cu condi&#x21B;ia s&#x103; existe un marcaj de ordine a octe&#x21B;ilor (BOM) UTF-8 &icirc;n script.</p>

<p>&Icirc;ncep&acirc;nd cu Windows 7, este posibil ca &icirc;n linia de comand&#x103; Windows s&#x103; se schimbe directorul, cu un script de loturi de comenzi, &icirc;ntr-un director cu litere Unicode &icirc;n nume. Numele directorului trebuie s&#x103; fie codificat &icirc;n UTF-8, iar scriptul de loturi de comenzi trebuie s&#x103; <i>nu</i> s&#x103; aib&#x103; un marcaj de ordine a octe&#x21B;ilor (BOM). Pagina de cod activ&#x103; din linia de comand&#x103; trebuie definit&#x103; la 65001 (UTF-8) &icirc;nainte de comanda &laquo;cd&raquo;. Wcd pentru linia de comand&#x103; va crea un astfel de script-go <code>wcdgo.bat</code>. Mai &icirc;nt&acirc;i schimb&#x103; pagina de coduri la 65001, apoi schimb&#x103; directorul &#x219;i, &icirc;n final, configureaz&#x103; pagina de coduri &icirc;napoi la pagina de coduri ini&#x21B;ial&#x103;.</p>

<p>Trebuie s&#x103; configura&#x21B;i fontul la True Type Lucida Console (nu fontul raster) atunci c&acirc;nd literele nu apar corect.</p>

<p>Versiunea Wcd non-Unicode Windows poate citi fi&#x219;iere treedata.wcd/extra.wcd Unicode &icirc;ncep&acirc;nd cu versiunea 5.2.0, cu condi&#x21B;ia s&#x103; existe un marcaj de ordine a octe&#x21B;ilor (BOM) &icirc;n fi&#x219;ier (a se vedea <a href="http://en.wikipedia.org/wiki/Byte_order_mark">http://en.wikipedia.org/wiki/Byte_order_mark</a> ), dar nu poate schimba la directoare cu litere Unicode &icirc;n nume care nu fac parte din pagina de cod ANSI implicit&#x103; a sistemului. Versiunea Unicode Windows a wcd scrie un marcaj de ordine a octe&#x21B;ilor (BOM) &icirc;n fi&#x219;ierele treedata.wcd/extra.wcd codificate UTF-8 &icirc;ncep&acirc;nd cu versiunea 5.2.0, ceea ce le face s&#x103; fie citite &#x219;i de BlocNote (notepad).</p>

<h3 id="UTF-8-n-Cygwin">UTF-8 &icirc;n Cygwin</h3>

<p>Cygwin accept&#x103; Unicode &icirc;ncep&acirc;nd cu versiunea 1.7. Stratul Cygwin are grij&#x103; ca numele Windows UTF-16 Unicode s&#x103; fie convertite &icirc;n UTF-8. Deci programele, cum ar fi wcd, nu trebuie s&#x103; fie con&#x219;tiente de acest lucru &#x219;i pot func&#x21B;iona folosind codificarea UTF-8 ca pe Unix/Linux. Stabili&#x21B;i codificarea caracterelor la UTF-8 cu variabila de mediu <i>LANG</i> sau <i>LC_CTYPE</i>. Este posibil s&#x103; fie nevoie s&#x103; scana&#x21B;i din nou unit&#x103;&#x21B;ile. Trebuie s&#x103; configura&#x21B;i fontul la True Type Lucida Console (nu fontul raster) dac&#x103; utiliza&#x21B;i consola implicit&#x103; Cygwin.</p>

<p>Versiunea Cygwin se comport&#x103; exact ca versiunea Unix a wcd. Nu exist&#x103; niciun marcaj de ordine a octe&#x21B;ilor (BOM) scris &icirc;n fi&#x219;ierele treedata.wcd/extra.wcd &#x219;i se presupune c&#x103; acestea sunt codificate &icirc;n codificarea caracterelor localiz&#x103;rii <b>Cygwin</b>.</p>

<h1 id="FIIERE">FI&#x218;IERE</h1>

<p>Dac&#x103; variabila de mediu <i>WCDHOME</i> este definit&#x103;, wcd va folosi <i>WCDHOME</i> &icirc;n loc de <i>HOME</i>. Toate fi&#x219;ierele <code>*.wcd</code> sunt fi&#x219;iere text. Ele pot fi editate cu un editor de text. Versiunea de linie de comand&#x103; Windows a wcd se comport&#x103; ca versiunea DOS. Versiunea Cygwin a wcd se comport&#x103; ca versiunea Unix.</p>

<dl>

<dt id="wcd.exe"><b>wcd.exe</b></dt>
<dd>

<p>Programul. &Icirc;n shell-urile Unix, programul este &icirc;ntotdeauna apelat printr-o func&#x21B;ie sau un alias, deoarece directorul de lucru curent al unui shell Unix poate fi schimbat doar prin comanda intern&#x103; &laquo;cd&raquo;. A se vedea, de asemenea, sec&#x21B;iunea INSTALARE.</p>

</dd>
<dt id="fiierul-implicit-cu-datele-arborelui"><b>fi&#x219;ierul implicit cu datele arborelui</b></dt>
<dd>

<p>Acesta este fi&#x219;ierul fi&#x219;ierul implicit cu datele arborelui &icirc;n care wcd caut&#x103; potriviri. Dac&#x103; acesta nu are permisiuni de citire, wcd va crea unul nou.</p>

<pre><code>    DOS: \treedata.wcd sau %HOME%\treedata.wcd
    Unix: $HOME/.treedata.wcd</code></pre>

</dd>
<dt id="fiierul-suplimentar-cu-datele-arborelui"><b>fi&#x219;ierul suplimentar cu datele arborelui</b></dt>
<dd>

<p>Un fi&#x219;ier suplimentar cu datele arborelui, op&#x21B;ional. Dac&#x103; exist&#x103; &#x219;i are permisiuni de citire, wcd va &icirc;ncerca s&#x103; g&#x103;seasc&#x103; potriviri &#x219;i &icirc;n acest fi&#x219;ier.</p>

<pre><code>    DOS: \extra.wcd sau %HOME%\extra.wcd
    Unix: $HOME/.extra.wcd</code></pre>

</dd>
<dt id="fiierul-de-interdicii"><b>fi&#x219;ierul de interdic&#x21B;ii</b></dt>
<dd>

<p>&Icirc;n acest fi&#x219;ier op&#x21B;ional wcd plaseaz&#x103; c&#x103;ile interzise. A se vedea op&#x21B;iunea <b>-b</b>. Metacaracterele (caracterele Joker) sunt acceptate.</p>

<pre><code>    DOS: \ban.wcd or %HOME%\ban.wcd
    Unix: $HOME/.ban.wcd</code></pre>

</dd>
<dt id="fiierul-de-alias"><b>fi&#x219;ierul de alias</b></dt>
<dd>

<p>Fi&#x219;ier op&#x21B;ional cu alias ale wcd. A se vedea op&#x21B;iunea <b>-l</b>.</p>

<pre><code>    DOS: \alias.wcd sau %HOME%\alias.wcd
    Unix: $HOME/.alias.wcd</code></pre>

</dd>
<dt id="fiierul-de-stiv"><b>fi&#x219;ierul de stiv&#x103;</b></dt>
<dd>

<p>&Icirc;n acest fi&#x219;ier, wcd &icirc;&#x219;i stocheaz&#x103; stiva. Litera unit&#x103;&#x21B;ii poate fi schimbat&#x103; cu op&#x21B;iunea <b>-d</b>.</p>

<pre><code>    DOS: c:\stack.wcd sau %HOME%\stack.wcd
    Unix: $HOME/.stack.wcd</code></pre>

<p>Numele fi&#x219;ierului de stiv&#x103; poate fi schimbat cu variabila de mediu <i>WCDSTACKFILE</i>. A se vedea sec&#x21B;iunea VARIABILE DE MEDIU.</p>

</dd>
<dt id="script-go"><b>script-go</b></dt>
<dd>

<p>Acesta este scriptul shell pe care wcd.exe &icirc;l creeaz&#x103; de fiecare dat&#x103;. Este ob&#x21B;inut prin intermediul unei func&#x21B;ii sau un alias. Litera unit&#x103;&#x21B;ii poate fi schimbat&#x103; cu op&#x21B;iunea <b>-d</b>. Din motive istorice, este plasat implicit &icirc;n <code>$HOME/bin</code> pe sistemele Unix. Directorul acestui fi&#x219;ier poate fi schimbat cu op&#x21B;iunea <b>-G</b>.</p>

<pre><code>    DOS bash: c:/wcd.go sau $HOME/wcd.go
    linia de comand&#x103; Windows: c:\wcdgo.bat sau %HOME%\wcdgo.bat
    Windows PowerShell: $env:HOME\wcdgo.ps1
    WinZsh: $HOME/wcd.go
    Cygwin/MSYS: $HOME/bin/wcd.go
    linia de comand&#x103; OS/2: c:\wcdgo.cmd sau %HOME%\wcdgo.cmd
    bash OS/2: c:/wcd.go sau $HOME/wcd.go
    Unix: $HOME/bin/wcd.go</code></pre>

</dd>
<dt id="fiierul-cu-datele-arborelui-relativ"><b>fi&#x219;ierul cu datele arborelui relativ</b></dt>
<dd>

<p>Fi&#x219;ier text cu c&#x103;i relative din <i>DIR</i>. A se vedea op&#x21B;iunile <b>+S</b>, <b>-n</b> &#x219;i <b>+n</b>.</p>

<pre><code>    DOS: CALEA\rtdata.wcd
    Unix: CALEA/.rtdata.wcd</code></pre>

</dd>
</dl>

<h1 id="VARIABILE-DE-MEDIU">VARIABILE DE MEDIU</h1>

<dl>

<dt id="HOME"><b>HOME</b></dt>
<dd>

<p>Wcd utilizeaz&#x103; implicit variabila de mediu <i>HOME</i> pentru a determina unde s&#x103;-&#x219;i stocheze fi&#x219;ierele. A se vedea, de asemenea, sec&#x21B;iunea FI&#x218;IERE. Acest lucru poate fi anulat cu variabila de mediu <i>WCDHOME</i>.</p>

<p><i>HOME</i> define&#x219;te, de asemenea, de unde s&#x103; &icirc;nceap&#x103; scanarea discului atunci c&acirc;nd este utilizat&#x103; op&#x21B;iunea <b>-s</b>. Acest lucru poate fi anulat cu variabila de mediu <i>WCDSCAN</i>.</p>

<p>Pentru versiunea Unix, Cygwin, Windows PowerShell, WinZsh &#x219;i MSYS este necesar ca <i>HOME</i> sau <i>WCDHOME</i> s&#x103; fie definit&#x103;. Pentru celelalte versiuni ale wcd utilizarea acestor variabile este op&#x21B;ional&#x103;.</p>

<p>Dac&#x103; <i>HOME</i> este definit&#x103; pe DOS/Windows, wcd va plasa toate fi&#x219;ierele sale (treedata.wcd, extra.wcd, alias.wcd, ban.wcd, wcd.go) &icirc;n directorul <i>HOME</i>. Comportamentul wcd este atunci similar cu versiunea Unix a wcd. Wcd va scana implicit discul din <i>HOME</i>. Unit&#x103;&#x21B;ile nu vor fi scanate automat prin schimbarea la acestea. Trebuie s&#x103; spune&#x21B;i &icirc;n mod explicit acest lucru wcd-ului. De exemplu:</p>

<pre><code>    wcd -S c: -A d: -A e:</code></pre>

<p>Potrivirea directoarelor este acum global&#x103; pentru toate unit&#x103;&#x21B;ile scanate.</p>

</dd>
<dt id="WCDHOME"><b>WCDHOME</b></dt>
<dd>

<p>Variabila de mediu <i>WCDHOME</i> poate fi folosit&#x103; pentru a schimba loca&#x21B;ia fi&#x219;ierelor wcd. Dac&#x103; sunt definite at&acirc;t <i>HOME</i> c&acirc;t &#x219;i <i>WCDHOME</i>, <i>WCDHOME</i> va fi folosit&#x103; &icirc;n loc de <i>HOME</i>.</p>

<p>&Icirc;n versiunile wcd anterioare versiunii 5.1.5, <i>WCDHOME</i> a schimbat &#x219;i directorul de scanare implicit. Acest lucru s-a schimbat. De la versiunea 5.1.5, <i>WCDHOME</i> nu schimb&#x103; directorul de scanare implicit. A se vedea op&#x21B;iunea <b>-s</b>. &Icirc;ncep&acirc;nd cu versiunea 5.1.5, utiliza&#x21B;i variabila de mediu <i>WCDSCAN</i> pentru a anula directorul de scanare implicit.</p>

<p>Exemplu pentru linia de comand&#x103; DOS, Windows, OS/2:</p>

<pre><code>    set WCDHOME=C:\Users\erwin\wcd</code></pre>

<p>Un exemplu pentru shell-uri de tip POSIX:</p>

<pre><code>    export WCDHOME=&quot;$HOME/.wcd&quot;</code></pre>

<p>Un exemplu pentru shell-uri de tip Csh:</p>

<pre><code>    setenv WCDHOME &quot;$HOME/.wcd&quot;</code></pre>

</dd>
<dt id="WCDSCAN"><b>WCDSCAN</b></dt>
<dd>

<p>Utiliza&#x21B;i variabila de mediu <i>WCDSCAN</i> pentru a anula directorul de scanare implicit <i>HOME</i>. Defini&#x21B;i o list&#x103; separat&#x103; de dou&#x103; puncte (Unix) pentru a defini mai multe directoare. Pe DOS/Windows, face&#x21B;i lista separat&#x103; prin punct &#x219;i virgul&#x103;.</p>

<p>Exemple pentru linia de comand&#x103; DOS, Windows, OS/2:</p>

<pre><code>    set WCDSCAN=C:\Users\erwin;D:\data

    set WCDSCAN=%HOMEDRIVE%%HOMEPATH%;\\projectdrive\projectX</code></pre>

<p>Un exemplu pentru shell-uri de tip POSIX:</p>

<pre><code>    export WCDSCAN=&quot;$HOME:/projectdisk/projectX&quot;</code></pre>

<p>Un exemplu pentru shell-uri de tip Csh:</p>

<pre><code>    setenv WCDSCAN &quot;$HOME:/projectdisk/projectX&quot;</code></pre>

</dd>
<dt id="WCDFILTER"><b>WCDFILTER</b></dt>
<dd>

<p>Specifica&#x21B;i filtre cu variabila de mediu <i>WCDFILTER</i>. Toate directoarele care nu se potrivesc cu filtrul (filtrele) sunt ignorate. O list&#x103; poate fi specificat&#x103; prin separarea filtrelor prin separatorul de cale shell. Similar cu specificarea variabilei <i>PATH</i>. Ignorarea/respectarea diferen&#x21B;ei dintre majuscule/minuscule este impus&#x103; de sistemul de operare.</p>

<p>Un exemplu pentru linia de comand&#x103; DOS, Windows, OS/2:</p>

<pre><code>    set WCDFILTER=projects;doc</code></pre>

<p>Un exemplu pentru shell-uri de tip POSIX:</p>

<pre><code>    export WCDFILTER=&quot;projects:doc&quot;</code></pre>

<p>Un exemplu pentru shell-uri de tip Csh:</p>

<pre><code>    setenv WCDFILTER &quot;projects:doc&quot;</code></pre>

</dd>
<dt id="WCDBAN"><b>WCDBAN</b></dt>
<dd>

<p>C&#x103;ile specificate cu variabila de mediu <i>WCDBAN</i> vor fi interzise de wcd. A se vedea, de asemenea, op&#x21B;iunea <b>-b</b>. Specifica&#x21B;i o list&#x103; de c&#x103;i separate prin separatorul shell <i>PATH</i>.</p>

</dd>
<dt id="WCDEXCLUDE"><b>WCDEXCLUDE</b></dt>
<dd>

<p>C&#x103;ile specificate cu variabila de mediu <i>WCDEXCLUDE</i> vor fi excluse de wcd. A se vedea, de asemenea, op&#x21B;iunile <b>-x</b> &#x219;i <b>-xf</b>. Specifica&#x21B;i o list&#x103; de c&#x103;i separate prin separatorul shell <i>PATH</i>.</p>

<p>Un exemplu pentru linia de comand&#x103; DOS, Windows, OS/2:</p>

<pre><code>    set WCDEXCLUDE=*/windows;*/temp;*CVS</code></pre>

<p>Un exemplu pentru shell-uri de tip POSIX:</p>

<pre><code>    export WCDEXCLUDE=&quot;/dev:/tmp:*CVS&quot;</code></pre>

<p>Un exemplu pentru shell-uri de tip Csh:</p>

<pre><code>    setenv WCDEXCLUDE &quot;/dev:/tmp:*CVS&quot;</code></pre>

</dd>
<dt id="WCDUSERSHOME"><b>WCDUSERSHOME</b></dt>
<dd>

<p>Stabile&#x219;te baza directoarelor acas&#x103; ale utilizatorului. Pe DOS/Windows, valoarea implicit&#x103; este <code>\\users</code>. Pe Unix/Cygwin, valoarea implicit&#x103; este <code>/home</code>. Aceast&#x103; variabil&#x103; este utilizat&#x103; pentru a scana fi&#x219;ierele treedata.wcd/extra.wcd ale altor utilizatori. A se vedea, de asemenea, op&#x21B;iunile <b>-u</b> &#x219;i <b>+u</b>. &Icirc;n modul de mesaje detaliate, wcd va afi&#x219;a toate filtrele, interdic&#x21B;iile &#x219;i excluderile. A se vedea op&#x21B;iunea <b>-v</b>.</p>

</dd>
<dt id="WCDSTACKFILE"><b>WCDSTACKFILE</b></dt>
<dd>

<p>Wcd d&#x103; preferin&#x21B;&#x103; variabilei <i>WCDSTACKFILE</i> &icirc;n defavoarea numelui implicit al fi&#x219;ierului stiv&#x103; (vede&#x21B;i sec&#x21B;iunea FI&#x218;IERE). Cu aceast&#x103; variabil&#x103;, fiecare shell (sau emulator de terminal utilizat) poate avea stiva sa privat&#x103; de directoare utilizate.</p>

<p>Pentru a utiliza un fi&#x219;ier unic bazat pe timp HH:MM:SS-DD.LL.AAAA pentru fiecare shell interactiv deschis.</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$(date +%H:%M:%S-%d.%m.%Y)</code></pre>

<p>Pentru o stiv&#x103; per xterm(1), utiliza&#x21B;i variabila de mediu xterm <i>WINDOWID</i>:</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOWID</code></pre>

<p>Pentru screen(1) GNU, pentru a utiliza stiva pe ecran:</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOW</code></pre>

</dd>
<dt id="TERMINFO"><b>TERMINFO</b></dt>
<dd>

<p>Dac&#x103; este definit&#x103; variabila de mediu <i>TERMINFO</i>, wcd cu interfa&#x21B;a &bdquo;ncurses&rdquo; verific&#x103; o defini&#x21B;ie de terminal local &icirc;nainte de a verifica &icirc;n loca&#x21B;ia standard. Acest lucru este util dac&#x103; defini&#x21B;iile terminalelor nu sunt &icirc;ntr-o loca&#x21B;ie standard. Loca&#x21B;iile standard utilizate adesea sunt <code>/usr/lib/terminfo</code> &#x219;i <code>/usr/share/terminfo</code>.</p>

</dd>
<dt id="PDC_RESTORE_SCREEN"><b>PDC_RESTORE_SCREEN</b></dt>
<dd>

<p>Wcd cu interfa&#x21B;a &bdquo;PDCurses&rdquo; recunoa&#x219;te variabila de mediu <i>PDC_RESTORE_SCREEN</i>. Dac&#x103; aceast&#x103; variabil&#x103; de mediu este definit&#x103;, &bdquo;PDCurses&rdquo; va prelua o copie a con&#x21B;inutului ecranului &icirc;n momentul &icirc;n care wcd este pornit; c&acirc;nd wcd iese, ecranul va fi restabilit. Un exemplu pentru linia de comand&#x103; Windows:</p>

<pre><code>    set PDC_RESTORE_SCREEN=1</code></pre>

<p>Windows permite salvarea doar a unei mici memorii tampon. Deci nu este &icirc;ntotdeauna posibil s&#x103; se restabileasc&#x103; totul. Unele date-de&#x219;euri pot fi afi&#x219;ate &icirc;n consol&#x103; dup&#x103; ie&#x219;irea wcd dac&#x103; a&#x21B;i definit o dimensiune mare a memoriei tampon.</p>

</dd>
<dt id="SHELL"><b>SHELL</b></dt>
<dd>

<p>Scrierea a <code>#!$SHELL</code> pe prima linie a scriptului-go pentru shell de tip POSIX sau shell C este necesar&#x103; pentru caracterele de 8 bi&#x21B;i. &Icirc;n caz contrar, unele shell-uri ar putea crede c&#x103; scriptul-go este un fi&#x219;ier binar &#x219;i nu s&#x103; nu-l citeasc&#x103;. &Icirc;n Cygwin Bash, variabila <i>SHELL</i> trebuie definit&#x103; &icirc;n mediu folosind comanda <code>export</code>, altfel wcd nu poate citi variabila.</p>

</dd>
<dt id="BASH"><b>BASH</b></dt>
<dd>

<p>Wcd pentru DOS bash folose&#x219;te <code>$BASH</code> &icirc;n loc de <code>$SHELL</code>, deoarece <code>$SHELL</code> indic&#x103; shell-ul de comand&#x103; DOS. Poate fi necesar s&#x103; defini&#x21B;i <code>$BASH</code> cu o comand&#x103; <code>export</code>, altfel wcd nu poate citi variabila.</p>

</dd>
</dl>

<h1 id="CONSULTAI-I">CONSULTA&#x21A;I &#x218;I</h1>

<p>sh(1), bash(1), csh(1), ksh(1), zsh(1), locale(1), ncurses(1),</p>

<h1 id="AUTORI">AUTORI</h1>

<p>Wcd a fost scris de Erwin Waterlander &lt;waterlan@xs4all.nl&gt;</p>

<p>Pagina principal&#x103; a proiectului: <a href="http://waterlan.home.xs4all.nl/">http://waterlan.home.xs4all.nl/</a></p>

<p>Pagina SourceForge a proiectului: <a href="http://sourceforge.net/projects/wcd/">http://sourceforge.net/projects/wcd/</a></p>

<p>Aspectul paginii de manual a fost furnizat de c&#x103;tre Jari Aalto &lt;jari.aalto@cante.net&gt;.</p>

<p>NCD a fost scris ini&#x21B;ial de Brad Kingsbury pentru &bdquo;Norton Utilities&rdquo; al lui Peter Norton, &icirc;n jurul anului 1987. A se vedea, de asemenea, <a href="http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml">http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml</a></p>


</body>

</html>


